/* My First GTK Program
Kenny Van Alstyne, Jr.
August 22, 2003  */
#include <gtk/gtk.h>
/* event handler to close window */
gint eventDestroy(GtkWidget *widget, GdkEvent *event, gpointer data)
{
	gtk_main_quit();
	return(FALSE);
}
int main(int argc, char *argv[])
{
	/* declare some widgets */
	GtkWidget *window, *button;
    	/* initialize gtk+ */
	gtk_init(&argc, &argv);
	/* create widgets */
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	button = gtk_button_new_with_label("Example GTK Button");
	/* assign event handlers */
	gtk_signal_connect(GTK_OBJECT(window), "destroy",
	GTK_SIGNAL_FUNC(eventDestroy), NULL);
	/* place button on window and format window*/
	gtk_container_add(GTK_CONTAINER(window), button);
	gtk_container_set_border_width(GTK_CONTAINER(window), 40);
	/* display everything */
	gtk_widget_show(window);
	gtk_widget_show(button);
	/* begin processing events */
	gtk_main();
	return 0;
}
